Index: tests/regression/Domain/SetBoundaryConditions/testsuite-domain-set-boundary-conditions.at
===================================================================
--- tests/regression/Domain/SetBoundaryConditions/testsuite-domain-set-boundary-conditions.at	(revision 7b9fe02f188ea36f9ddfa24ea27ca27e3b422059)
+++ tests/regression/Domain/SetBoundaryConditions/testsuite-domain-set-boundary-conditions.at	(revision 7b9fe02f188ea36f9ddfa24ea27ca27e3b422059)
@@ -0,0 +1,58 @@
+### set boundary conditions
+
+AT_SETUP([Domain - set boundary conditions])
+AT_KEYWORDS([domain set-boundary-conditions])
+
+BC="Wrap, Wrap, Wrap"
+AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions "$BC"], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Boundary conditions are now ${BC}" stdout], 0, [ignore], [ignore])
+BC="Bounce, Bounce, Bounce"
+AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions "$BC"], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Boundary conditions are now ${BC}" stdout], 0, [ignore], [ignore])
+BC="Ignore, Ignore, Ignore"
+AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions "$BC"], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Boundary conditions are now ${BC}" stdout], 0, [ignore], [ignore])
+BC="Wrap, Bounce, Ignore"
+AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions "$BC"], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Boundary conditions are now ${BC}" stdout], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - set boundary conditions with Undo])
+AT_KEYWORDS([domain set-boundary-conditions undo])
+
+Check_BC="Wrap, Wrap, Wrap"
+BC="Wrap, Wrap, Wrap"
+AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions "$BC" --undo], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Boundary conditions are set back to ${Check_BC}" stdout], 0, [ignore], [ignore])
+BC="Bounce, Bounce, Bounce"
+AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions "$BC" --undo], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Boundary conditions are set back to ${Check_BC}" stdout], 0, [ignore], [ignore])
+BC="Ignore, Ignore, Ignore"
+AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions "$BC" --undo], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Boundary conditions are set back to ${Check_BC}" stdout], 0, [ignore], [ignore])
+BC="Wrap, Bounce, Ignore"
+AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions "$BC" --undo], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Boundary conditions are set back to ${Check_BC}" stdout], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - set boundary conditions with Redo])
+AT_KEYWORDS([domain set-boundary-conditions redo])
+
+BC="Wrap, Wrap, Wrap"
+AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions "$BC" --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Boundary conditions are again ${BC}" stdout], 0, [ignore], [ignore])
+BC="Bounce, Bounce, Bounce"
+AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions "$BC" --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Boundary conditions are again ${BC}" stdout], 0, [ignore], [ignore])
+BC="Ignore, Ignore, Ignore"
+AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions "$BC" --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Boundary conditions are again ${BC}" stdout], 0, [ignore], [ignore])
+BC="Wrap, Bounce, Ignore"
+AT_CHECK([../../molecuilder -B "5,0,5,0,0,5" --set-boundary-conditions "$BC" --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Boundary conditions are again ${BC}" stdout], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Domain/testsuite-domain.at
===================================================================
--- tests/regression/Domain/testsuite-domain.at	(revision 0d571d7276ebe9c1a1773e4b2150ee012778f1b4)
+++ tests/regression/Domain/testsuite-domain.at	(revision 7b9fe02f188ea36f9ddfa24ea27ca27e3b422059)
@@ -21,2 +21,5 @@
 # duplicating box
 m4_include([Domain/RepeatBox/testsuite-domain-repeat-box.at])
+
+# set boundary conditions
+m4_include([Domain/SetBoundaryConditions/testsuite-domain-set-boundary-conditions.at])
